defmodule DecentralisedBookIndex.Sync.DataTransformers.AuthorTransformer do
  def from_json(json_body) do
    attrs =
      if Map.has_key?(json_body, "data") do
        %{
          id: get_in(json_body, ["data", "id"]),
          name: get_in(json_body, ["data", "attributes", "name"]),
          description: get_in(json_body, ["data", "attributes", "description"]),
          avatar_url: get_in(json_body, ["data", "attributes", "avatar_url"]),
        }
      else
        %{
          id: get_in(json_body, ["id"]),
          name: get_in(json_body, ["attributes", "name"]),
          description: get_in(json_body, ["attributes", "description"]),
          avatar_url: get_in(json_body, ["attributes", "avatar_url"]),
        }
      end

    {:ok, attrs}
  end
end
